// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define periodicPublisherCompdef_PeriodicPublisher_impl_BODY

/************************************************************
 PeriodicPublisher_impl class body
 ************************************************************/

// include associated header file
#include "periodicPublisherCompdef/PeriodicPublisher_impl.h"

// Derived includes directives
#include "rclcpp/rclcpp.hpp"

namespace periodicPublisherCompdef {

#include <iostream>
using namespace std;


/**
 * 
 * @param options 
 */
PeriodicPublisher_impl::PeriodicPublisher_impl(
		rclcpp::NodeOptions /*in*/options) :
		PeriodicPublisher(options) {
}

/**
 * 
 */
void PeriodicPublisher_impl::fPublishing() {
	simple_msgs::msg::Map map;
	map.ogm.width = 16;
	map.ogm.height = 16;
	map.ogm.resolution = 0.1;

	RCLCPP_INFO(get_logger(), "now publishing");

	pMap_pub_->publish(map);
}

} // of namespace periodicPublisherCompdef

/************************************************************
 End of PeriodicPublisher_impl class body
 ************************************************************/
